package com.judong.chuanyiserver.dao;

import com.judong.chuanyiserver.entity.Log;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LogDao {

    Long getLogCount(String serverName, String modelName, String content, String userId, String ipAddress, String methodName,String startDate,String endDate);

    List<Log> getLogPage(Long startNum, Long limitNum, String serverName, String modelName, String content, String userId, String ipAddress, String methodName,String startDate,String endDate);

    Integer insertLog(Log log);

    /**
     *删除6个月以前的数据
     */
    Integer logDeleteByTime(String time);
}
